from django.contrib import admin
from settings.models import Setting, Banner, SiteSettings


# Register your models here.
class SettingAdmin(admin.ModelAdmin):
    list_display = ('title', 'is_active', 'created_at')
    list_editable = ('is_active',)


admin.site.register(Setting, SettingAdmin)


class BannerAdmin(admin.ModelAdmin):
    list_display = ('title', 'is_active', 'created_at')
    list_editable = ('is_active',)


admin.site.register(Banner, BannerAdmin)

class SiteSettingsAdmin(admin.ModelAdmin):
    list_display = ('id', 'is_active', 'site_active', 'created_at')
    list_editable = ('is_active','site_active',)

admin.site.register(SiteSettings, SiteSettingsAdmin)
